Tp::BaseProtocolPresenceInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseProtocolPresenceInterface Class Reference
Connection manager service implementation

Base class for implementations of Protocol.Interface.Presence. More...

`#include <TelepathyQt/BaseProtocolPresenceInterface>`

Inherits Tp::AbstractProtocolInterface.

## Public Member Functions
virtual | ~BaseProtocolPresenceInterface ()
QVariantMap | immutableProperties () const
PresenceSpecList | statuses () const
void | setStatuses (const PresenceSpecList &statuses)
Public Member Functions inherited from Tp::AbstractProtocolInterface
| AbstractProtocolInterface (const QString &interfaceName)
virtual | ~AbstractProtocolInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseProtocolPresenceInterfacePtr | create ()
template<typename BaseProtocolPresenceInterfaceSubclass >
static SharedPtr < BaseProtocolPresenceInterfaceSubclass > | create ()

## Protected Member Functions
| BaseProtocolPresenceInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Protocol.Interface.Presence.

## Constructor & Destructor Documentation

Tp::BaseProtocolPresenceInterface::~BaseProtocolPresenceInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseProtocolPresenceInterface::BaseProtocolPresenceInterface | ( |  | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseProtocolPresenceInterfacePtr Tp::BaseProtocolPresenceInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseProtocolPresenceInterfaceSubclass >

static SharedPtr<BaseProtocolPresenceInterfaceSubclass> Tp::BaseProtocolPresenceInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseProtocolPresenceInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

PresenceSpecList Tp::BaseProtocolPresenceInterface::statuses | ( |  | ) | const

Return the list of presence statuses that have been set with setStatuses().

This list is exposed as the Statuses property of this interface on the bus and represents the statuses that might appear in the Connection.Interface.SimplePresence.Statuses property on a connection to this protocol that supports SimplePresence.

This property is immutable and cannot change after this interface has been registered on an object on the bus with registerInterface().

Returns
  The list of presence statuses that have been set with setStatuses().

See Also
  setStatuses()

void Tp::BaseProtocolPresenceInterface::setStatuses | ( | const PresenceSpecList & | statuses | ) |

Set the list of statuses that might appear in the Connection.Interface.SimplePresence.Statuses property on a connection to this protocol that supports SimplePresence.

This property is immutable and cannot change after this interface has been registered on an object on the bus with registerInterface().

Parameters

  statuses | The statuses list to set.

See Also
  statuses()